## libkf5sane 15.12.1

=== CMakeLists.txt ===
project(KSane)
cmake_minimum_required(VERSION 2.8.12)

if(POLICY CMP0063)
    cmake_policy(SET CMP0063 NEW)
endif()

message(STATUS "-------------------------------------------")
message(STATUS "Starting CMake configuration for: libksane")

# ECM setup (Extended Cmake Modules)
find_package(ECM 1.1.0 REQUIRED NO_MODULE)
# ECM setup2 and include find same cmake module (copied from /usr/share/kde4/apps/cmake/modules/FindSane.cmake)
set(CMAKE_MODULE_PATH ${KSane_SOURCE_DIR}/cmake-modules ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(FeatureSummary)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(CheckFunctionExists)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)
include(GenerateExportHeader)

set(KF5_VERSION "5.1.0")

ecm_setup_version(
  ${KF5_VERSION}
  VARIABLE_PREFIX KSANE
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ksane_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5SaneConfigVersion.cmake"
)

# Dependencies
set(REQUIRED_QT_VERSION "5.2.0")

# Required Qt5 components to build this framework
find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Core Widgets)

# Required KF5 frameworks
find_package(KF5Config ${KF5_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_VERSION} REQUIRED)
find_package(KF5Wallet ${KF5_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_VERSION} REQUIRED)
find_package(KF5TextWidgets ${KF5_VERSION} REQUIRED)
# ...

# Check if sane API is available.
if (NOT WIN32)
    find_package(Sane)
    message(STATUS "SANE_FOUND:       ${SANE_FOUND}")
    message(STATUS "SANE_INCLUDE_DIR: ${SANE_INCLUDE_DIR}")
    message(STATUS "SANE_LIBRARY:     ${SANE_LIBRARY}")
    # macro_log_feature(SANE_FOUND "SANE development toolkit" "Scanner Access Now Easy (SANE) development package" "http://www.sane-project.org" TRUE "" "Needed by libksane")
endif (NOT WIN32)

# Subdirectories
add_subdirectory(src)
add_subdirectory(autotests)
add_subdirectory(tests)

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5Sane")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5SaneConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5SaneConfig.cmake"
  INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5SaneConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5SaneConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT
  KF5SaneTargets
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  FILE KF5SaneTargets.cmake
  NAMESPACE KF5::
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/ksane_version.h"
  DESTINATION "${KF5_INCLUDE_INSTALL_DIR}"
  COMPONENT Devel
)

# needed?
#include_directories (${CMAKE_SOURCE_DIR}
#                     ${CMAKE_BINARY_DIR}
#                     ${CMAKE_CURRENT_BINARY_DIR}/libksane)

# =======================================================
# Information to update before to release this library.

# Library version history:
# API      ABI
# 0.1.0 => 0.1.0
# 0.1.1 => 0.1.1
# 0.2.0 => 0.2.0

# Library API version
SET(KSANE_LIB_MAJOR_VERSION "0")
SET(KSANE_LIB_MINOR_VERSION "3")
SET(KSANE_LIB_PATCH_VERSION "0")

# Suffix to add at end of version string. Usual values are:
# "-git"   : alpha code unstable from git. Do not use in production
# "-beta1" : beta1 release.
# "-beta2" : beta2 release.
# "-beta3" : beta3 release.
# "-rc"    : release candidate.
# ""       : final relase. Can be used in production.
SET(KSANE_LIB_SUFFIX_VERSION "")

# Library ABI version used by linker.
# For details : http://www.gnu.org/software/libtool/manual/libtool.html#Updating-version-info
SET(KSANE_LIB_SO_CUR_VERSION "0")
SET(KSANE_LIB_SO_REV_VERSION "2")
SET(KSANE_LIB_SO_AGE_VERSION "0")

# =======================================================
# Set env. variables accordinly.

SET(KSANE_LIB_VERSION_STRING "${KSANE_LIB_MAJOR_VERSION}.${KSANE_LIB_MINOR_VERSION}.${KSANE_LIB_PATCH_VERSION}${KSANE_LIB_SUFFIX_VERSION}")
SET(KSANE_LIB_VERSION_ID "0x0${KSANE_LIB_MAJOR_VERSION}0${KSANE_LIB_MINOR_VERSION}0${KSANE_LIB_PATCH_VERSION}")

SET(KSANE_LIB_SO_VERSION_STRING "${KSANE_LIB_SO_CUR_VERSION}.${KSANE_LIB_SO_REV_VERSION}.${KSANE_LIB_SO_AGE_VERSION}")

# =======================================================

ADD_DEFINITIONS(-DKDE_DEFAULT_DEBUG_AREA=51004) 

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/version.h)

# =======================================================

# To prevent warnings from M$ compiler
IF(WIN32 AND MSVC)
    ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS)
    ADD_DEFINITIONS(-D_ATL_SECURE_NO_WARNINGS)
    ADD_DEFINITIONS(-D_AFX_SECURE_NO_WARNINGS)
ENDIF(WIN32 AND MSVC)

# =======================================================

#IF (SANE_FOUND)
#    # ADD_SUBDIRECTORY(src)  # old: was already done above
#ELSE (SANE_FOUND)
#    ADD_SUBDIRECTORY(ksanetwain)
#.ENDIF (SANE_FOUND)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"libksane\")


include_directories(${SANE_INCLUDE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/options
    ${CMAKE_CURRENT_SOURCE_DIR}/widgets
)

set(ksane_SRCS
    widgets/gammadisp.cpp
    widgets/labeledgamma.cpp
    widgets/labeledcheckbox.cpp
    widgets/labeledentry.cpp
    widgets/labeledcombo.cpp
    widgets/labeledfslider.cpp
    widgets/labeledslider.cpp
    widgets/ksanebutton.cpp
    widgets/ksaneoptionwidget.cpp
    ksaneviewer.cpp
    selectionitem.cpp
    ksanedevicedialog.cpp
    ksanefinddevicesthread.cpp
    ksanewidget.cpp
    ksanescanthread.cpp
    ksanepreviewthread.cpp
    ksanewidget_p.cpp
    splittercollapser.cpp
    ksaneauth.cpp
    options/ksaneoption.cpp
    options/ksaneoptbutton.cpp
    options/ksaneoptcheckbox.cpp
    options/ksaneoptentry.cpp
    options/ksaneoptgamma.cpp
    options/ksaneoptslider.cpp
    options/ksaneoptfslider.cpp
    options/ksaneoptcombo.cpp
)

add_library(KF5Sane ${ksane_SRCS})
generate_export_header(KF5Sane BASE_NAME KSane)
add_library(KF5::Sane ALIAS KF5Sane)

target_include_directories(KF5Sane INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/KSane>")

target_link_libraries(KF5Sane
    PUBLIC
        Qt5::Widgets
    PRIVATE
        ${SANE_LIBRARY}

        KF5::I18n
        KF5::Wallet
        KF5::WidgetsAddons
        KF5::TextWidgets
)

set_target_properties(KF5Sane
  PROPERTIES VERSION ${KSANE_VERSION_STRING}
  SOVERSION ${KSANE_SOVERSION}
  EXPORT_NAME "Sane"
)


ecm_generate_headers(KSane_HEADERS
    HEADER_NAMES
        KSaneWidget
    REQUIRED_HEADERS KSane_HEADERS
)

# Install files

# FIXME KF5: KDE4_INSTALL_ICONS
#KDE4_INSTALL_ICONS(${ICON_INSTALL_DIR})

install(TARGETS KF5Sane
  EXPORT KF5SaneTargets
  ${INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/ksane_export.h
  ${KSane_HEADERS}
  DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KSane
  COMPONENT Devel
)

=== debian/changelog ===
libkf5sane (15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release
  * Merged with Debian

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:29:29 +0100

libkf5sane (15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:57 +0100

libksane (4:15.08.2-1) unstable; urgency=medium

  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:06:39 +0200

libksane (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:58:49 +0100

libksane (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:42:28 +0100

libksane (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:50:38 +0100

libksane (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:27:15 +0100

libksane (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * wrap-and-sort

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 22:31:23 +0200

libksane (4:15.04.0-1) unstable; urgency=medium

  * New upstream release (15.04.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 31 Aug 2015 11:27:00 +0200

libksane (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:37:20 -0700

libksane (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Feb 2015 09:19:21 +0100

libksane (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove unstable from watch file, uscan fails with
    remote site does not even have current version
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:41:26 -0800

libksane (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * Initial release for KDE applications 14.12 series
   - Change maintainer to Debian/Kubuntu
   - Fix Watch file applications locations
   - Fix VCS for new kde-applications location
  * Debian merge, remaining changes:
   - Add missing TWAIN short license.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 01 Dec 2014 13:30:28 +0000

libksane (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Add missing TWAIN short license.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:26:41 -0700

libksane (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:48:09 +0200

libksane (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 19:01:55 +0200

libksane (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:33:29 +0200

libksane (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:23:26 +0200

libksane (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:48:28 +0200

libksane (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:37:27 +0200

libksane (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Merge with debian, no remaining changes

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 12:08:00 +0100

libksane (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:22:52 +0100

libksane (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:50:28 +0200

libksane (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:49:42 +0100

libksane (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:55:50 +0000

libksane (4:4.12.3-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:27 +0200

libksane (4:4.12.3-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Merge changes from 4:4.11.5-2.

  [ Maximiliano Curia ]
  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:06:10 +0100

libksane (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:11:08 +0100

libksane (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:55 +0100

libksane (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:21:58 +0000

libksane (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:35:51 +0000

libksane (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:36:50 +0000

libksane (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release



=== debian/control ===
Source: libkf5sane
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.1.0~),
               libkf5config-dev (>= 5.1.0~),
               libkf5i18n-dev (>= 5.1.0~),
               libkf5textwidgets-dev (>= 5.1.0~),
               libkf5wallet-dev (>= 5.1.0~),
               libkf5widgetsaddons-dev (>= 5.1.0~),
               libsane-dev,
               libx11-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdegraphics/libs/libksane
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/libksane.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/libksane.git

Package: libkf5sane5
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: scanner library (runtime)
 The KDE scanner library provides an API and widgets for using scanners and
 other imaging devices supported by SANE.
 .
 This package contains the shared library.

Package: libkf5sane-dev
Section: libdevel
Architecture: any
Depends: libkf5sane5 (= ${binary:Version}),
         ${misc:Depends},
         qtbase5-dev (>= 5.2.0~)
Description: scanner library development headers
 The KDE scanner library provides an API and widgets for using scanners and
 other imaging devices supported by SANE.
 .
 This package contains the scanner library development files.

## libkf5sane 16.04.0

=== debian/changelog ===
libkf5sane (16.04.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Add data files
  * Add breaks replaces regarding libksane-data

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 May 2016 10:11:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: libkf5sane
-Section: kde
+Section: libs
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
@@ -15,15 +15,15 @@
                libx11-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.2.0~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/kdegraphics/libs/libksane
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/libksane.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/libksane.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libksane.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libksane.git
 
 Package: libkf5sane5
-Section: libs
 Architecture: any
-Depends: ${misc:Depends},
+Depends: libkf5sane-data (= ${source:Version}) | libksane-data,
+         ${misc:Depends},
          ${shlibs:Depends}
 Description: scanner library (runtime)
  The KDE scanner library provides an API and widgets for using scanners and
@@ -31,12 +31,23 @@
  .
  This package contains the shared library.
 
+Package: libkf5sane-data
+Architecture: all
+Depends: ${misc:Depends}
+Breaks: libksane-data
+Replaces: libksane-data
+Description: scanner library (data files)
+ The KDE scanner library provides an API and widgets for using scanners and
+ other imaging devices supported by SANE.
+ .
+ This package contains data files used by the library.
+
 Package: libkf5sane-dev
 Section: libdevel
 Architecture: any
 Depends: libkf5sane5 (= ${binary:Version}),
-         ${misc:Depends},
-         qtbase5-dev (>= 5.2.0~)
+         qtbase5-dev (>= 5.2.0~),
+         ${misc:Depends}
 Description: scanner library development headers
  The KDE scanner library provides an API and widgets for using scanners and
  other imaging devices supported by SANE.

## libkf5sane 16.04.3

=== debian/changelog ===
libkf5sane (16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * Add missing files to install. 
  * New upstream bugfix release. 

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

  [ José Manuel Santamaría Lema ]
  * Install usr/share/icons/hicolor/16x16/* in libkf5sane-data
  * Provide libksane-data dummy transitional package to make the upgrades
    easier for the package managers.
  * Remove dh_shlibdeps override to exclude kde-runtime; this is no
    longer needed since the port to frameworks.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:32:42 +0200

libkf5sane (15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:22:01 -0700

=== debian/control ===
Source: libkf5sane
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               libkf5config-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5textwidgets-dev (>= 5.24.0~),
               libkf5wallet-dev (>= 5.24.0~),
               libkf5widgetsaddons-dev (>= 5.24.0~),
               libsane-dev,
               libx11-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdegraphics/libs/libksane
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksane
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksane

Package: libkf5sane5
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: libksane-data (<= 4:16.04.3~)
Replaces: libksane-data (<= 4:16.04.3~)
Description: scanner library (runtime)
 The KDE scanner library provides an API and widgets for using scanners and
 other imaging devices supported by SANE.
 .
 This package contains the shared library.

Package: libkf5sane-data
Architecture: all
Depends: ${misc:Depends}
Breaks: libkf5sane5 (<= 16.04.3~), libksane-data (<= 4:16.04.3~)
Replaces: libkf5sane5 (<= 16.04.3~), libksane-data (<= 4:16.04.3~)
Description: scanner library (data files)
 The KDE scanner library provides an API and widgets for using scanners and
 other imaging devices supported by SANE.
 .
 This package contains data files used by the library.

Package: libksane-data
Architecture: all
Section: oldlibs
Priority: extra
Depends: libkf5sane-data, ${misc:Depends}
Description: scanner library (data files) - transitional package
 This is a transitional dummy package. It can safely be removed.

Package: libkf5sane-dev
Section: libdevel
Architecture: any
Depends: libkf5sane5 (= ${binary:Version}),
         qtbase5-dev (>= 5.2.0~),
         ${misc:Depends}
Description: scanner library development headers
 The KDE scanner library provides an API and widgets for using scanners and
 other imaging devices supported by SANE.
 .
 This package contains the scanner library development files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

PACKAGE_VERSION = $(shell dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: //')
override_dh_gencontrol:
	$(overridden_command) -plibksane-data -- -v"4:${PACKAGE_VERSION}"
	$(overridden_command) --remaining-packages

## libkf5sane 16.08.0

=== debian/changelog ===
libkf5sane (16.08.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (16.08.0)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 18 Oct 2016 09:49:58 +0200

=== debian/control ===
Source: libkf5sane
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0.0~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.1.0~),
               libkf5config-dev (>= 5.1.0~),
               libkf5i18n-dev (>= 5.1.0~),
               libkf5textwidgets-dev (>= 5.1.0~),
               libkf5wallet-dev (>= 5.1.0~),
               libkf5widgetsaddons-dev (>= 5.1.0~),
               libsane-dev,
               libx11-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/kdegraphics/libs/libksane
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libksane.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libksane.git

Package: libkf5sane5
Architecture: any
Depends: libkf5sane-data (= ${source:Version}) | libksane-data,
         ${misc:Depends},
         ${shlibs:Depends}
Description: scanner library (runtime)
 The KDE scanner library provides an API and widgets for using scanners and
 other imaging devices supported by SANE.
 .
 This package contains the shared library.

Package: libkf5sane-data
Architecture: all
Depends: ${misc:Depends}
Breaks: libksane-data
Replaces: libksane-data
Description: scanner library (data files)
 The KDE scanner library provides an API and widgets for using scanners and
 other imaging devices supported by SANE.
 .
 This package contains data files used by the library.

Package: libkf5sane-dev
Section: libdevel
Architecture: any
Depends: libkf5sane5 (= ${binary:Version}),
         qtbase5-dev (>= 5.2.0~),
         ${misc:Depends}
Description: scanner library development headers
 The KDE scanner library provides an API and widgets for using scanners and
 other imaging devices supported by SANE.
 .
 This package contains the scanner library development files.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/libksane-([\d.]+).tar.xz

## libkf5sane 16.12.3

=== debian/changelog ===
libkf5sane (16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:26:57 +0000

libkf5sane (16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:15:37 +0000

=== debian/control ===
Source: libkf5sane
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libsane-dev,
               libx11-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdegraphics/libs/libksane
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksane
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksane

Package: libkf5sane5
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: libksane-data (<= 4:16.04.3~)
Replaces: libksane-data (<= 4:16.04.3~)
Description: scanner library (runtime)
 The KDE scanner library provides an API and widgets for using scanners and
 other imaging devices supported by SANE.
 .
 This package contains the shared library.

Package: libkf5sane-data
Architecture: all
Depends: ${misc:Depends}
Breaks: libkf5sane5 (<= 16.04.3~), libksane-data (<= 4:16.04.3~)
Replaces: libkf5sane5 (<= 16.04.3~), libksane-data (<= 4:16.04.3~)
Description: scanner library (data files)
 The KDE scanner library provides an API and widgets for using scanners and
 other imaging devices supported by SANE.
 .
 This package contains data files used by the library.

Package: libksane-data
Architecture: all
Section: oldlibs
Priority: extra
Depends: libkf5sane-data, ${misc:Depends}
Description: scanner library (data files) - transitional package
 This is a transitional dummy package. It can safely be removed.

Package: libkf5sane-dev
Section: libdevel
Architecture: any
Depends: libkf5sane5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: scanner library development headers
 The KDE scanner library provides an API and widgets for using scanners and
 other imaging devices supported by SANE.
 .
 This package contains the scanner library development files.

## libkf5sane 17.04.3

=== debian/changelog ===
libkf5sane (17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * Add missing depend on libkf5sane-data
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:30:58 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,8 @@
 Package: libkf5sane5
 Section: libs
 Architecture: any
-Depends: ${misc:Depends},
+Depends: libkf5sane-data (= ${source:Version}),
+         ${misc:Depends},
          ${shlibs:Depends}
 Breaks: libksane-data (<= 4:16.04.3~)
 Replaces: libksane-data (<= 4:16.04.3~)
@@ -36,8 +37,12 @@
 Package: libkf5sane-data
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: libkf5sane5 (<= 16.04.3~), libksane-data (<= 4:16.04.3~)
-Replaces: libkf5sane5 (<= 16.04.3~), libksane-data (<= 4:16.04.3~)
+Breaks: libkf5sane5 (<= 16.04.3~),
+        libksane-data (<= 4:16.04.3~),
+        ${kde-l10n:all}
+Replaces: libkf5sane5 (<= 16.04.3~),
+          libksane-data (<= 4:16.04.3~),
+          ${kde-l10n:all}
 Description: scanner library (data files)
  The KDE scanner library provides an API and widgets for using scanners and
  other imaging devices supported by SANE.

## libkf5sane 17.12.3

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -69,8 +69,13 @@
 
 # Install files
 
-# FIXME KF5: KDE4_INSTALL_ICONS
-#KDE4_INSTALL_ICONS(${ICON_INSTALL_DIR})
+set(ksane_ICONS
+  16-actions-black-white.png
+  16-actions-color.png
+  16-actions-gray-scale.png
+)
+ecm_install_icons(ICONS ${ksane_ICONS}
+  DESTINATION ${ICON_INSTALL_DIR})
 
 install(TARGETS KF5Sane
   EXPORT KF5SaneTargets

=== debian/changelog ===
libkf5sane (17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:33:08 +0000

libkf5sane (17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:02:45 +0000

libkf5sane (17.08.3-0ubuntu1) bionic; urgency=medium

  * Transitional package priorities changed from 'extra' to 'optional'
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:12:41 +0000

=== debian/control ===
--- 
+++ 
@@ -52,7 +52,7 @@
 Package: libksane-data
 Architecture: all
 Section: oldlibs
-Priority: extra
+Priority: optional
 Depends: libkf5sane-data, ${misc:Depends}
 Description: scanner library (data files) - transitional package
  This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
+l10npkgs_firstversion_ok := 4:17.03.90-0~
+
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
+include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 PACKAGE_VERSION = $(shell dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: //')
 override_dh_gencontrol:

## libkf5sane 18.04.3

=== debian/changelog ===
libkf5sane (18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:23:07 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libsane-dev,
                libx11-dev,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdegraphics/libs/libksane
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksane
@@ -62,7 +62,7 @@
 Architecture: any
 Depends: libkf5sane5 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.1~),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: scanner library development headers
  The KDE scanner library provides an API and widgets for using scanners and
  other imaging devices supported by SANE.

## libkf5sane 18.12.1

=== debian/changelog ===
libkf5sane (18.12.1-1) unstable; urgency=medium

  [ Scarlett Moore ]
  * New upstream release.
  * Remove unused dependency on kconfig.
  * Bump dependency versions as defined by cmake.
  * Bump the debhelper compatibility to 12:
    - bump the debhelper build dependency to 12~
    - bump compat to 12
  * Add override_dh_gencontrol for I10npkgs_firstversion_ok.
  * Move away from dhmk and use debhelper.
  * Update VCS entries.
  * Add myself to uploaders.
  * Update homepage to phabricator page (projects.kde.org is dead).
  * Update the copyright file.
    - Update to copyright-format 1.0.
    - Add copyright information for po files.
    - Correct the * copyright to KDEEv variation.
    - Add new copyright for KF5 port.
  * Add Build-Depends-Package field to symbols file.
  * Add hardening=+all build main option.
  * Add as-needed linker option to avoid useless dependencies.
  * Update signing-key with minimal gpg export.
  * Bump Standards-Version to 4.3.0: No remiaining changes.

  [ Scarlett Clark ]
  * Missed a runtime dep version bump.

  [ Maximiliano Curia ]
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Feb 2019 16:43:45 +0100

libkf5sane (17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove the libksane-data alternative dependency in libkf5sane5, making it
    depend on libkf5sane-data exclusively.
  * Stop excluding kde-runtime from shlibdeps, since it is no more injected.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 09:40:51 +0100

libkf5sane (17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Add breaks/replaces against the kde-l10n packages
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Tue, 12 Sep 2017 22:41:28 +0200

libkf5sane (17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:05:34 +0000

libkf5sane (17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:43:10 +0000

libkf5sane (17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:26:07 +0000

libkf5sane (17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:24:34 +0000

libkf5sane (17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:27:36 +0000

libkf5sane (17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Apr 2017 09:33:13 +0000

libkf5sane (16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:51:17 +0000

libkf5sane (16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:03:49 +0000

libkf5sane (16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:26:01 +0000

libkf5sane (16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:33:03 +0000

libkf5sane (16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:55:43 +0000

libkf5sane (16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:41:34 +0000

libkf5sane (16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:08:22 +0000

libkf5sane (16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:50:32 +0000

libkf5sane (16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:36:51 +0000

libkf5sane (16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2016 11:36:37 +0000

=== debian/control ===
Source: libkf5sane
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.0.0~),
               debhelper (>= 12~),
               extra-cmake-modules (>= 5.30.0~),
               libkf5i18n-dev (>= 5.37.0~),
               libkf5textwidgets-dev (>= 5.37.0~),
               libkf5wallet-dev (>= 5.37.0~),
               libkf5widgetsaddons-dev (>= 5.37.0~),
               libsane-dev,
               libx11-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.3.0
Homepage: https://phabricator.kde.org/source/libksane/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libksane
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libksane.git

Package: libkf5sane-data
Architecture: all
Depends: ${misc:Depends}
Breaks: libksane-data, ${kde-l10n:all}
Replaces: libksane-data, ${kde-l10n:all}
Description: scanner library (data files)
 The KDE scanner library provides an API and widgets for using scanners and
 other imaging devices supported by SANE.
 .
 This package contains data files used by the library.

Package: libkf5sane-dev
Section: libdevel
Architecture: any
Depends: libkf5sane5 (= ${binary:Version}),
         qtbase5-dev (>= 5.7.0~),
         ${misc:Depends},
Description: scanner library development headers
 The KDE scanner library provides an API and widgets for using scanners and
 other imaging devices supported by SANE.
 .
 This package contains the scanner library development files.

Package: libkf5sane5
Architecture: any
Depends: libkf5sane-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: scanner library (runtime)
 The KDE scanner library provides an API and widgets for using scanners and
 other imaging devices supported by SANE.
 .
 This package contains the shared library.

## libkf5sane 18.12.3

=== debian/changelog ===
libkf5sane (18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:34:59 +0000

libkf5sane (18.12.2-0ubuntu1) disco; urgency=medium

  * Use compat 11 so we can backport to earlier releases.
  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:21:58 +0000

libkf5sane (18.12.1-1ubuntu1) disco; urgency=medium

  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Pass fno-keep-inline-functions to acc test.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 06 Feb 2019 15:09:31 +0000

libkf5sane (18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:15:25 +0000

libkf5sane (18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:53:41 +0000

libkf5sane (18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Pass fno-keep-inline-functions to acc test.
    - Bumped build deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 13 Dec 2018 09:16:16 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Maximiliano Curia <maxy@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.0.0~),
-               debhelper (>= 12~),
+               debhelper (>= 11~),
                extra-cmake-modules (>= 5.30.0~),
                libkf5i18n-dev (>= 5.37.0~),
                libkf5textwidgets-dev (>= 5.37.0~),
@@ -18,8 +18,8 @@
                qtbase5-dev (>= 5.7.0~),
 Standards-Version: 4.3.0
 Homepage: https://phabricator.kde.org/source/libksane/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libksane
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libksane.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksane
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksane
 
 Package: libkf5sane-data
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## libkf5sane 19.04.3

=== debian/changelog ===
libkf5sane (19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:20:38 +0100

libkf5sane (19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:15:19 +0100

libkf5sane (19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:04:09 +0100

libkf5sane (19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:49:34 +0100

## libkf5sane 19.08.1

=== debian/changelog ===
libkf5sane (19.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Update the build dependencies according to the upstream build system:
    - bump the KF5 packages to 5.55.0
  * Update symbols file.

  [ Helmut Grohne ]
  * Mark libkf5sane-data Multi-Arch: foreign. (Closes: #887314)
  * Mark libkf5sane{5,-dev} Multi-Arch: same.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Sep 2019 08:57:42 +0200
